﻿	$(document).ready(function(){
		var seq = 0;
		var seqUI = 0;
		var len = 0;
		var now = 0;
		
		$("#uploading-files").change(function(){
			if ($("#uploading-files").val() != "") {
				myList();
			}
		});
		
		// Vẽ giao diện danh sách tệp tin được upload
		function myList(){
			seq = 0;
			len = $('#uploading-files')[0].files.length;
			for (var i = 0; i < len; i++){
				insertRow("hinh" + seqUI, $('#uploading-files')[0].files[i].name);
				seqUI++;
			}
			myQueue(); // Gọi hàm
		}
		
		// Hàng đợi những tên tin được upload
		function myQueue(){
			var formData = new FormData(); // Đối tượng này sẽ chứa toàn bộ giá trị của các tệp tin được upload
			if (seq < len) {
				formData.append('file', $('#uploading-files')[0].files[seq]);
				upload(formData); // Gọi hàm
			}
		}
		
		// Upload
		function upload(formData){
		    $.ajax({
		        url: 'Upload',
		        type: 'POST',
		        xhr: function() {
		            myXhr = $.ajaxSettings.xhr();
		            if(myXhr.upload){
		                myXhr.upload.addEventListener('progress', progressHandlingFunction, false);
		            }
		            return myXhr;
		        },
		        data: formData,
		        cache: false,
		        contentType: false,
		        processData: false
		    });
		}
		
		// Tính % kích thước đã đc upload, lấy link tải về
		function progressHandlingFunction(e){
	    	if(e.lengthComputable){
		    	var per = ((e.loaded / e.total) * 100) + "%";
		        $("#hinh" + now).css({"width" : per});
		        if (per == "100%") {
		        	
		        	// Lấy link tải về
		        	var link = $("#hinh" + now).parent().prev().text();
		        	$("#hinh" + now).parent().prev().html("<a href='img/" + link + "'>" + link + "</a>");
		        	// end
		        	
		        	$("#hinh" + now).parent().css("border", "none").text("Okay !").hide().fadeIn();	 	
		        	seq++;
		        	now++;
		        	myQueue(); // Gọi hàm - Đệ qui
		        }
	   		}
		}
		
		// Vẽ giao diện - danh sách tệp tin được upload
		function insertRow(seq, fname){
			var html = '<div class="uploading-file-line">';
			html += '<div class="uploading-file-title">' + fname + '</div>';
			html += '<div class="uploading-file-progress-bar">';
			html += '<div id="' + seq + '" class="uploading-file-progress"></div>';
			html += '</div></div>';
			$(".uploading-file-list").append(html);
		}
		
	});